#ifndef TMDisplayingCheckButton_H
#define TMDisplayingCheckButton_H

#include "TMDisplaying.h"

class TGCheckButton;

class TMDisplayingCheckButton : public TMDisplaying {

 public:
  TMDisplayingCheckButton(const Char_t *frameName, const TGWindow *p, UInt_t width, UInt_t height, TMHistogramming *hist, UInt_t id, UInt_t plotNr, UInt_t cloneId, const Char_t *label);
  virtual ~TMDisplayingCheckButton();

  virtual void   CreateButtonFrame();
  virtual Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);

  virtual void   ToggleCheckButton();

 protected:

  TGCheckButton *fCheckButton;

  TString fCheckLabel;

  enum {ADD_ID_START=1000};

  ClassDef(TMDisplayingCheckButton, 0)
};

#endif
